Bug 1090073 - Post scriptlet fails due to RHEL version string
Summary: Post scriptlet fails due to RHEL version string
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1052181 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-22 13:44 UTC by Michael Cronenworth
Modified: 2014-10-10 16:04 UTC (History)
5 users (show)

Fixed In Version: mock-1.1.41-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-01 22:23:14 UTC


Attachments (Terms of Use)
rpm post scriptlet patch (369 bytes, patch)
2014-04-22 13:44 UTC, Michael Cronenworth
no flags Details | Diff
patch against msuchy-work branch (658 bytes, patch)
2014-05-22 15:07 UTC, Michael Cronenworth
no flags Details | Diff

Description Michael Cronenworth 2014-04-22 13:44:34 UTC
Created attachment 888511 [details]
rpm post scriptlet patch

Description of problem:
The post scriptlet cannot create a /etc/mock/default.cfg symlink due to a string issue. The redhat-release package uses "5Server" or "6Server" for the version instead of only a number as in Fedora.


Version-Release number of selected component (if applicable):
mock-1.1.38-1.el6.noarch


The attached patch will fix the issue by stripping off Server.

Comment 1 Michael Cronenworth 2014-04-22 16:42:51 UTC
*** Bug 1052181 has been marked as a duplicate of this bug. ***

Comment 2 Michael Cronenworth 2014-05-22 14:45:56 UTC
*** Bug 1098477 has been marked as a duplicate of this bug. ***

Comment 3 Michael Cronenworth 2014-05-22 15:07:32 UTC
Created attachment 898409 [details]
patch against msuchy-work branch

Here's an updated patch that will apply against the msuchy-work branch (if this helps).

Comment 4 Miroslav Suchý 2014-05-23 07:59:05 UTC
Could not be as well 5Workstation? I would replace your substitution by
  grep -o '[0-9]\+'
which would just extract the number(s).

Comment 5 Miroslav Suchý 2014-05-23 08:02:01 UTC
Committed as 5b247f2

Comment 6 Fedora Update System 2014-05-27 15:39:37 UTC
mock-1.1.39-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.fc19

Comment 7 Fedora Update System 2014-05-27 15:39:52 UTC
mock-1.1.39-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.el6

Comment 8 Fedora Update System 2014-05-27 15:40:08 UTC
mock-1.1.39-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.fc20

Comment 9 Michael Cronenworth 2014-05-27 15:42:40 UTC
(In reply to Miroslav Suchý from comment #4)
> Could not be as well 5Workstation? I would replace your substitution by
>   grep -o '[0-9]\+'
> which would just extract the number(s).

Yes, sorry for the delay. Thanks for the update.

Comment 10 Fedora Update System 2014-05-27 19:12:07 UTC
Package mock-1.1.39-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.39-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1506/mock-1.1.39-1.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-06-01 22:23:14 UTC
mock-1.1.39-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-06-25 20:00:31 UTC
mock-1.1.39-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-07-18 02:13:35 UTC
mock-1.1.40-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc20

Comment 14 Fedora Update System 2014-07-18 02:14:00 UTC
mock-1.1.40-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc19

Comment 15 Fedora Update System 2014-07-18 02:14:23 UTC
mock-1.1.40-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.el6

Comment 16 Fedora Update System 2014-07-18 17:45:42 UTC
mock-1.1.41-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc20

Comment 17 Fedora Update System 2014-07-18 17:46:08 UTC
mock-1.1.41-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc19

Comment 18 Fedora Update System 2014-07-18 17:46:33 UTC
mock-1.1.41-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.el6

Comment 19 Fedora Update System 2014-07-20 03:24:54 UTC
mock-1.1.41-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-07-22 18:08:14 UTC
mock-1.1.41-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-09-16 16:47:11 UTC
mock-1.1.41-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-2.fc19

Comment 22 Fedora Update System 2014-09-30 09:00:27 UTC
mock-1.1.41-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-3.fc19

Comment 23 Fedora Update System 2014-10-10 16:04:38 UTC
mock-1.1.41-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.